Package com.fasterxml.jackson.annotation

# Class ObjectIdGenerator.IdKey

java.lang.Object
com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ObjectIdGenerator<T>`

public static final class ObjectIdGenerator.IdKey extends Object implements Serializable
Simple key class that can be used as a key for ObjectId-to-POJO mappings, when multiple ObjectId types and scopes are used.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final Object`
`key`
Object for which Object Id was generated: can NOT be null.
`final Class<?>`
`scope`
Scope of the Object Id (may be null, to denote global)
`final Class<?>`
`type`
Type of `ObjectIdGenerator` used for generating Object Id

## Constructor Summary

Constructors
Constructor
Description
`IdKey(Class<?> type, Class<?> scope, Object key)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public final Class<?> type
Type of `ObjectIdGenerator` used for generating Object Id

### scope

public final Class<?> scope
Scope of the Object Id (may be null, to denote global)

### key

public final Object key
Object for which Object Id was generated: can NOT be null.

## Constructor Details

### IdKey

public IdKey(Class<?> type, Class<?> scope, Object key)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`